Get the drugs, bottles, handlers and settings
Every drug, every bottle with its balance (open ones first), the people allowed to give the drugs, and the settings. Needs read on Animals.
GET
https://{organization}.rescueconsole.com
/
api
/
animals
/
controlled-drugs
Get the drugs, bottles, handlers and settings
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/controlled-drugs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/controlled-drugs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/controlled-drugs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"drugs": [
{
"id": "<string>",
"name": "<string>",
"form": "<string>",
"concentration": "<string>",
"unit": "mL",
"schedule": "II",
"is_active": true
}
],
"bottles": [
{
"id": "<string>",
"drug_id": "<string>",
"bottle_label": "<string>",
"lot": "<string>",
"expires_on": "<string>",
"received_on": "2023-12-25",
"quantity_received": 123,
"supplier_name": "<string>",
"supplier_address": "<string>",
"supplier_dea_number": "<string>",
"order_reference": "<string>",
"closed_on": "<string>",
"balance": 123
}
],
"handlers": [
{
"person_id": "<string>",
"name": "<string>",
"certification": "<string>",
"certified_on": "<string>"
}
],
"settings": {
"registrant_name": "<string>",
"registrant_address": "<string>",
"dea_number": "<string>",
"require_on_euthanasia": true
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}⌘I
Get the drugs, bottles, handlers and settings
curl --request GET \
--url https://{organization}.rescueconsole.com/api/animals/controlled-drugs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{organization}.rescueconsole.com/api/animals/controlled-drugs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{organization}.rescueconsole.com/api/animals/controlled-drugs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"drugs": [
{
"id": "<string>",
"name": "<string>",
"form": "<string>",
"concentration": "<string>",
"unit": "mL",
"schedule": "II",
"is_active": true
}
],
"bottles": [
{
"id": "<string>",
"drug_id": "<string>",
"bottle_label": "<string>",
"lot": "<string>",
"expires_on": "<string>",
"received_on": "2023-12-25",
"quantity_received": 123,
"supplier_name": "<string>",
"supplier_address": "<string>",
"supplier_dea_number": "<string>",
"order_reference": "<string>",
"closed_on": "<string>",
"balance": 123
}
],
"handlers": [
{
"person_id": "<string>",
"name": "<string>",
"certification": "<string>",
"certified_on": "<string>"
}
],
"settings": {
"registrant_name": "<string>",
"registrant_address": "<string>",
"dea_number": "<string>",
"require_on_euthanasia": true
}
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}{
"error": "house_trained must be 1, 0 or null (not assessed)"
}
